#Storage Limits - Configure maximum storage capacities for folders and canisters
[storage_limits]
	#Maximum items storable in filing folders
	#Default: 2147483647 (unlimited)
	#Minimum: 4096 (64 stacks)
	# Default: 2147483647
	# Range: > 4096
	max_folder_storage = 2147483647
	#Maximum items storable in NBT filing folders
	#NBT folders store items with enchantments, custom names, etc.
	#Lower limit due to complexity of NBT data storage
	#WARNING: Large numbers of NBT items in a single folder could corrupt the save!
	#Proceed with caution!
	#
	#Default: 128 items
	# Default: 128
	# Range: 16 ~ 200
	max_nbt_folder_storage = 128
	#Maximum fluid storable in canisters (millibuckets)
	#Default: 2147483647 (unlimited)
	#Minimum: 64000 (64 buckets)
	# Default: 2147483647
	# Range: > 64000
	max_canister_storage = 2147483647

#Filing Index Ranges - Configure range limits for filing indexes and upgrades
[filing_index_ranges]
	#Base filing index range (blocks)
	#This is the default range when no upgrades are installed
	#Range covers radius around the filing index
	# Default: 8
	# Range: 4 ~ 32
	base_range = 8
	#Iron upgrade range (blocks)
	#Range when iron range upgrade is installed
	#Replaces base range when upgrade is present
	# Default: 16
	# Range: 8 ~ 64
	iron_range = 16
	#Diamond upgrade range (blocks)
	#Range when diamond range upgrade is installed
	#Replaces base range when upgrade is present
	# Default: 32
	# Range: 16 ~ 128
	diamond_range = 32
	#Netherite upgrade range (blocks)
	#Range when netherite range upgrade is installed
	#Replaces base range when upgrade is present
	#
	#WARNING: Large ranges can impact server performance significantly!
	#A range of 64 covers a 128x128 block area - use with caution on multiplayer servers
	#Maximum range of 256 covers a 512x512 area and may cause severe lag!
	# Default: 64
	# Range: 32 ~ 256
	netherite_range = 64
